#! /bin/bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
DIRECTORY="$(dirname "${FILE}")"

OUT='output'

function rs {
echo ; echo
echo "→ ${2} @ ${3} : ${1}"
echo
rsync --verbose --progress \
--rsh "ssh -p ${1}" \
--archive --checksum --delete-before \
"${DIRECTORY}/${OUT}/" \
"${2}@${3}:${4}/"
}

rs 22 'marc' 'envs.net' 'public_html'
rs 22 'marc' 'tilde.team' 'public_html'
rs 22 'marc' 'tildecities.com' 'public_html'
rs 22 'marc' 'tilde.institute' 'public_html'
# rs 22 'marc' 'radiofreqs.space' 'public_html'
rs 9022 'marc' 'remotes.club' 'web'
